org.springframework.oxm

## Class ValidationFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.oxm.XmlMappingException
          - - org.springframework.oxm.ValidationFailureException

All Implemented Interfaces:
  Serializable

    public class ValidationFailureException
    extends XmlMappingException

Exception thrown on marshalling validation failure.

Since:
  3.0
Author:
  Arjen Poutsma
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ValidationFailureException(String msg)` Construct a `ValidationFailureException` with the specified detail message.
`ValidationFailureException(String msg, Throwable cause)` Construct a `ValidationFailureException` with the specified detail message and nested exception.

### Method Summary

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMessage, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ValidationFailureException

    public ValidationFailureException(String msg)

Construct a `ValidationFailureException` with the specified detail message.

Parameters:
  `msg` - the detail message

#### ValidationFailureException

    public ValidationFailureException(String msg,
                              Throwable cause)

Construct a `ValidationFailureException` with the specified detail message and nested exception.

Parameters:
  `msg` - the detail message
  `cause` - the nested exception